Topic locked

Unity 5, Vuforia 4.0 - CodeSign Failed

March 27, 2015 - 1:43am #1

Hi,

 

We have been using vuforia and unity for many years succesfully. However since Vuforia 4.0 came out, we have not been able to sign out enterprise in-house apps.

We always receive "CodeSign Failed". I have tried exporting a project without Vuforia in and that went fine. However as soon as we export it with Vuforia, we hit this error when try to do the export part. The app runs fine on device but we can not build the IPA. We are trying to build a 64 bit version.

This is really critical for us so it would be great if we could solve it. I have seen others are struggling with the same problems and I have tried suggestions that have been made to them but with no luck so far. It doesnt seem to have solved their problems either. I have also even tried the suggested android tips too.

 

Thanks in advance.

Unity 5, Vuforia 4.0 - CodeSign Failed

April 21, 2015 - 3:33am #14

FYI

I have updated the Sticky notice here, to include those tips:

https://developer.vuforia.com/forum/unity-3-extension-technical-discussion/vuforia-40-and-unity-50

 

Unity 5, Vuforia 4.0 - CodeSign Failed

April 21, 2015 - 3:11am #13

it works! (and it prefer it so i can forget to modify the xcode project :)

 

thank you all guys.. looking forward for next debugging night ;)

 

stefano

Unity 5, Vuforia 4.0 - CodeSign Failed

April 21, 2015 - 1:26am #12

Ok, glad to hear it did work for you.

 

there is also another (should be equivalent) solution that was posted here, and which should not require editing the Xcode project (can be done directly in Unity):

https://developer.vuforia.com/forum/ios/qcarwrapperbundle-codesign-failed-xcode

 

It would be great if you could also verify that the above works for you too ...

 

 

Unity 5, Vuforia 4.0 - CodeSign Failed

April 21, 2015 - 12:15am #11

AlessandroB wrote:

As an additional tip, you could also go to Xcode project settings, under "Build Phases" > "Copy Bundle Resources", and remove "QCARWrapper.bundle"  from the list and rebuild;  according to a few threads that you can find by searching the internet, it seems this is a general issue observed with Unity 5 and iOS plugins (this sees to happen also when using other libraries or SDKs).

 

YES!!!! this was it!!

just compiled with Unity 5.0.1p1 and the .ipa installs and works!

 

please stick this solution ;)

 

stefano

Unity 5, Vuforia 4.0 - CodeSign Failed

April 21, 2015 - 12:05am #10

thank you Alessandro

yes we did try the terminal build/archive.. it generates the .ipa without errors, but then this .ipa doesn't install well in the devices (it hangs and keeps trying to reinstall itself)

i'll try the other tip in a few hours! thank you!

Unity 5, Vuforia 4.0 - CodeSign Failed

April 20, 2015 - 11:48pm #9

Have you tried the post suggested here by TangoChen:

http://tangochen.com/blog/?p=2057

(see point #3)

 

As an additional tip, you could also go to Xcode project settings, under "Build Phases" > "Copy Bundle Resources", and remove "QCARWrapper.bundle"  from the list and rebuild;  according to a few threads that you can find by searching the internet, it seems this is a general issue observed with Unity 5 and iOS plugins (this sees to happen also when using other libraries or SDKs).

 

 

Unity 5, Vuforia 4.0 - CodeSign Failed

April 20, 2015 - 7:09pm #8

we could make it work just going back to Unity 4.6.4 and compiling in 32bit only (Mono 2.0)

 

Unity 5, Vuforia 4.0 - CodeSign Failed

April 20, 2015 - 6:29pm #7

does 4.0.105 solve the Codesign Failed to anyone?

we are still struggling with it..

 

tried also Unity 5.0.1p1, Vuforia beta 4.1.3

every combination at the end ends with this Codesign Failed :(

Unity 5, Vuforia 4.0 - CodeSign Failed

April 15, 2015 - 12:20pm #6

Unity 5, Vuforia 4.0 - CodeSign Failed

March 30, 2015 - 3:00am #5

Hi, try building IPA with Terminal commands.

You can read the 3rd problem & solution of my blog post:

http://tangochen.com/blog/?p=2057

Hope it helps!

Unity 5, Vuforia 4.0 - CodeSign Failed

March 27, 2015 - 12:06pm #4

Unity fully supports iOS 64bit (via IL2CPP scripting backend) already since version 4.6.1 patch p5, as well as 4.6.2 and above.

So, you can definitiely use Unity 4.6.x to build and publish Vuforia 4.0 apps with iOS 64bit support.

For Unity 5.0, a new Vuforia release is expected in the near future, but there is no confirmed ETA at the moment.

 

Unity 5, Vuforia 4.0 - CodeSign Failed

March 27, 2015 - 12:00pm #3

Is there an ETA for this as that means currently there is no way to release a 64bit compatible Unity 5 + Vuforia 4 App on IOS . . . So know way to put an app on the ios appstore if you are using Vuforia . .

Thanks

Unity 5, Vuforia 4.0 - CodeSign Failed

March 27, 2015 - 4:50am #2

Probably worth mentioning, that, as stated here and in other forum threads:

https://developer.vuforia.com/forum/unity-3-extension-technical-discussion/vuforia-40-and-unity-50

Unity 5 is not officially supported with Vuforia 4.0 yet.

Vuforia 4.0 may work on the Win32 version of Unity 5 (see thread above)

 

Also, the release notes of Vuforia 4.0 do not include Unity 5 support.

 

Topic locked